# Delete Network

> Infra API · Networks

```http
DELETE https://app.mk.io/api/v1/projects/{project_name}/infra/networks/{name}
```

Delete a network. If the network does not exist, this API will return a 204. To learn more about networks, read [Network Concept](ref:infrastructure-api#network-concept).

RBAC Capability Required: `infra.network.delete`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name           | Type   | Required | Description |
|----------------|--------|----------|-------------|
| `project_name`| string | Yes      | —           |
| `name`        | string | Yes      | —           |

## Example request

```bash
curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/infra/networks/{name}" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Network deleted.

No response body.

### 204 — Nothing to delete.

No response body.

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error  
  - `code` · string · **Required** — The error code.  
  - `detail` · string · **Required** — The error message.  
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.  
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 409 — Network is referenced by existing available network, destination or content source.

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `infrastructure-api` · operationId: `[delete]_/api/v1/projects/{project_name}/infra/networks/{name}`
